> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Featured Deals

> Returns a list of featured deals, with item details, prices, discounts, and availability. The result depends on the user's authorization status.
- If the user is not logged in, the response will include featured items without user-specific limits.
- If the user is logged in, the response will include user-specific details such as quantity limits and cumulative category pricing.




## OpenAPI

````yaml POST /items/getFeaturedDeals
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /items/getFeaturedDeals:
    post:
      tags:
        - items
      summary: Retrieve featured deals
      description: >
        Returns a list of featured deals, with item details, prices, discounts,
        and availability. The result depends on the user's authorization status.

        - If the user is not logged in, the response will include featured items
        without user-specific limits.

        - If the user is logged in, the response will include user-specific
        details such as quantity limits and cumulative category pricing.
      responses:
        '200':
          description: Successfully retrieved featured deals
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 1
                    name:
                      type: string
                      example: Premium Sword
                    active:
                      type: boolean
                      example: true
                    is_subs:
                      type: boolean
                      example: false
                    original_price:
                      type: number
                      format: float
                      example: 29.99
                    price:
                      type: number
                      format: float
                      example: 24.99
                    discount:
                      type: number
                      format: float
                      example: 5
                    quantityGlobalLimit:
                      type: integer
                      nullable: true
                      example: 100
                    quantityGlobalCurrentLimit:
                      type: integer
                      nullable: true
                      example: 50
                    quantityUserLimit:
                      type: integer
                      nullable: true
                      example: 10
                    quantityUserCurrentLimit:
                      type: string
                      nullable: true
                      example: 5
                    image:
                      type: string
                      nullable: true
                      example: /img/items/1.png
                    virtual_price:
                      type: number
                      format: float
                      example: 20
                    is_virtual_currency_only:
                      type: boolean
                      example: false
                    description:
                      type: string
                      example: A powerful sword for the discerning warrior.
                    is_unavailable:
                      type: boolean
                      example: false
                    in_cart:
                      type: boolean
                      example: true
        '401':
          description: Unauthorized - Invalid or missing Access Token
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````